> For the complete documentation index, see [llms.txt](https://40factory.gitbook.io/wilson/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://40factory.gitbook.io/wilson/3.12/rest-api/knowledge-base/delete-document.md).

# Delete document

Delete document from Knowledge base.

## Request <a href="#request" id="request"></a>

### Url

```
DELETE 
https://wilson.40mat.com/apif/v2/company/<company_id>/knowledge-base/<object_id>
```

### Headers

<pre><code><strong>AUTH
</strong>Bearer "eyJ0eXAiOiJKV1QiLCJub25jZSI6IndUZXphSTNjdTNVYj..."
</code></pre>

### Parameters

```
No parameters are required for this endpoint.
```

### Body

```json
No body required for this endpoint.
```

***

## Response&#x20;

```json
{}
```

***

## Code example

{% tabs %}
{% tab title="Python" %}

```python
import requests
import json

url = "https://wilson.40mat.com/apif/v2/company/<company_id>/knowledge-base/<object_id>"

headers = {
  'Authorization': '••••••'
}

response = requests.request("DELETE", url, headers=headers)

print(response.text)
```

{% endtab %}

{% tab title="cURL" %}

```powershell
curl --location 'https://wilson.40mat.com/apif/v2/company/<company_id>/knowledge-base/<object_id>' \
--header 'Authorization: ••••••'
```

{% endtab %}
{% endtabs %}
